Product comparison · 2 wireless routers

TP-Link TD-W8910GB wireless router Fast Ethernet Black, White vs Zyxel 660HW-I wireless router Black

Add a product
  • 22specifications compared
  • 7differ
  • 15identical
  • 34known for one product only

Key differences

  • Security algorithms
    • TD-W8910GB wireless router Fast Ethernet Black, White:WPA, WPA-PSK, WPA2, WPA2-PSK
    • 660HW-I wireless router Black:TKIP, WPA, WPA-PSK, WPA2
  • Product colour
    • TD-W8910GB wireless router Fast Ethernet Black, White:Black, White
    • 660HW-I wireless router Black:Black
  • Operating relative humidity (H-H)
    • TD-W8910GB wireless router Fast Ethernet Black, White:10 - 90%
    • 660HW-I wireless router Black:20 - 85%
  • Storage relative humidity (H-H)
    • TD-W8910GB wireless router Fast Ethernet Black, White:5 - 95%
    • 660HW-I wireless router Black:20 - 90%
  • Storage temperature (T-T)
    • TD-W8910GB wireless router Fast Ethernet Black, White:-40 - 70 °C
    • 660HW-I wireless router Black:-20 - 60 °C
  • Dimensions (WxDxH)
    • TD-W8910GB wireless router Fast Ethernet Black, White:200 x 140 x 28 mm
    • 660HW-I wireless router Black:180 x 128 x 36 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of TD-W8910GB, 660HW-I
56 specifications
Network1 differ
Ethernet LANYesYes
Networking standardsDiffersIEEE 802.11b, IEEE 802.11g, IEEE 802.3, IEEE 802.3uIEEE 802.11g
Supports ISDN connectionKnown for oneUnknown — not stated by the sourceNo
VPN supportKnown for oneUnknown — not stated by the sourceIPSec, PPTP
Ethernet LAN interface typeKnown for oneFast EthernetUnknown — not stated by the source
Ethernet LAN data ratesKnown for one10,100 Mbit/sUnknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
DSL featuresidentical
ADSLYesYes
DSL specificationKnown for oneUnknown — not stated by the sourceANSI T1.413 Issue 2, ITU G.992.1 G.dmt, ITU G.992.2 G.lite, ITU G.994.1 G.hs, ITU ADSL2 G.992.3, G.992.4, ITU ADSL2+ G.992.5, ADSL (RE ADSL)
Ports & interfacesidentical
Ethernet LAN (RJ-45) ports44
RJ-11 ports quantity11
DC-in jackKnown for oneYesUnknown — not stated by the source
Management featuresidentical
Web-based managementYesYes
Quality of Service (QoS) supportYesYes
Reset buttonKnown for oneUnknown — not stated by the sourceYes
Security1 differ
Security algorithmsDiffersWPA, WPA-PSK, WPA2, WPA2-PSKTKIP, WPA, WPA-PSK, WPA2
Authentication methodKnown for oneUnknown — not stated by the sourceRADIUS
Firewall securityKnown for oneUnknown — not stated by the sourceDistributed Denial of Service (DDoS) prevention
DoS attack preventionKnown for oneUnknown — not stated by the sourceYes
FilteringYesYes
MAC address filteringYesYes
DMZ supportYesYes
FirewallKnown for oneYesUnknown — not stated by the source
NAT functionalityKnown for oneYesUnknown — not stated by the source
Protocolsidentical
DHCP clientKnown for oneUnknown — not stated by the sourceYes
DHCP serverYesYes
Universal Plug and Play (UPnP)Known for oneUnknown — not stated by the sourceYes
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP, Telnet, FTP/TFTP, VPN (IPSec, PPTP)
Design1 differ
Product colourDiffersBlack, WhiteBlack
Indication lightYesYes
LED indicatorsYesYes
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceFCC, CE
Antennaidentical
Antennas quantity11
Antenna gain level (max)Known for one3 dBiUnknown — not stated by the source
Operational conditions3 differ
Operating relative humidity (H-H)Differs10 - 90%20 - 85%
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage relative humidity (H-H)Differs5 - 95%20 - 90%
Storage temperature (T-T)Differs-40 - 70 °C-20 - 60 °C
Weight & dimensionsidentical
WeightKnown for oneUnknown — not stated by the source325 g
Other features1 differ
Dimensions (WxDxH)Differs200 x 140 x 28 mm180 x 128 x 36 mm
InterfaceKnown for oneUnknown — not stated by the sourceADSL, ADSL2, ADSL2+
Management platformKnown for oneUnknown — not stated by the sourceTelnet, FTP/TFTP
Maximum data transfer rateKnown for oneUnknown — not stated by the source0.125 Gbit/s
Power requirementsKnown for oneUnknown — not stated by the source12V AC, 1A
WLAN data transfer rates supportedKnown for oneUnknown — not stated by the source54 Mbit/s
xDSL connectionYesYes
ATM featuresKnown for oneUnknown — not stated by the sourceUNI 3.1/4.0, RFC 1483/2684, RFC 2364 PPP, RFC 2516 PPP, ATM QoS UBR,CBR,VBR, I.610 OAM F4/F5 Loop-back, AIS, RDI OAM Cells
Data transfer rateKnown for one54 Mbit/sUnknown — not stated by the source
Downstream data rateKnown for one24 Mbit/sUnknown — not stated by the source
Filtering descriptionKnown for oneIPUnknown — not stated by the source
Frequency rangeKnown for one2.4 - 2.4835 GHzUnknown — not stated by the source
Input frequencyKnown for one50/60 HzUnknown — not stated by the source
Input voltageKnown for one220 - 240 VUnknown — not stated by the source
Upstream data rateKnown for one3.5 Mbit/sUnknown — not stated by the source
WAN connectionidentical
DSL WANKnown for oneYesUnknown — not stated by the source
Packaging contentidentical
Quick start guideKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons